contracts / FixedRatePaymentEvent

# FixedRatePaymentEvent

`class FixedRatePaymentEvent : RatePaymentEvent`

Basic class for the Fixed Rate Payments on the fixed leg - see RatePaymentEvent Assumes that the rate is valid.

### Constructors

<init> | `FixedRatePaymentEvent(date: LocalDate, accrualStartDate: LocalDate, accrualEndDate: LocalDate, dayCountBasisDay: DayCountBasisDay, dayCountBasisYear: DayCountBasisYear, notional: Amount, rate: Rate)` Basic class for the Fixed Rate Payments on the fixed leg - see RatePaymentEvent Assumes that the rate is valid.

### Properties

flow | `val flow: Amount`

### Inherited Properties

accrualEndDate | `val accrualEndDate: LocalDate`
accrualStartDate | `val accrualStartDate: LocalDate`
dayCountBasisDay | `val dayCountBasisDay: DayCountBasisDay`
dayCountBasisYear | `val dayCountBasisYear: DayCountBasisYear`
dayCountFactor | `val dayCountFactor: BigDecimal`
days | `val days: Int`
notional | `val notional: Amount`
rate | `val rate: Rate`

### Functions

toString | `fun toString(): String`

### Inherited Functions

asCSV | `open fun asCSV(): String`
calculate | `open fun calculate(): Amount`
equals | `open fun equals(other: Any?): Boolean`
hashCode | `open fun hashCode(): Int`

### Companion Object Properties

CSVHeader | `val CSVHeader: String`